Checks if user defined

- « ReflectionFunctionAbstract::isStatic

- ReflectionFunctionAbstract::isVariadic »

- PHP Manual
- ReflectionFunctionAbstract
- Checks if user defined

# ReflectionFunctionAbstract::isUserDefined

(PHP 5 >= 5.2.0, PHP 7, PHP 8)

ReflectionFunctionAbstract::isUserDefined — Checks if user defined

### Description

public ReflectionFunctionAbstract::isUserDefined(): bool

Checks whether the function is user-defined, as opposed to internal.

### Parameters

This function has no parameters.

### Return Values

`true` if it's user-defined, otherwise false;

### See Also

- ReflectionFunctionAbstract::isInternal() - Checks if is internal